#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private OrderflowsIntensity[] cacheOrderflowsIntensity;

		
		public OrderflowsIntensity OrderflowsIntensity()
		{
			return OrderflowsIntensity(Input);
		}


		
		public OrderflowsIntensity OrderflowsIntensity(ISeries<double> input)
		{
			if (cacheOrderflowsIntensity != null)
				for (int idx = 0; idx < cacheOrderflowsIntensity.Length; idx++)
					if ( cacheOrderflowsIntensity[idx].EqualsInput(input))
						return cacheOrderflowsIntensity[idx];
			return CacheIndicator<OrderflowsIntensity>(new OrderflowsIntensity(), input, ref cacheOrderflowsIntensity);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.OrderflowsIntensity OrderflowsIntensity()
		{
			return indicator.OrderflowsIntensity(Input);
		}


		
		public Indicators.OrderflowsIntensity OrderflowsIntensity(ISeries<double> input )
		{
			return indicator.OrderflowsIntensity(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.OrderflowsIntensity OrderflowsIntensity()
		{
			return indicator.OrderflowsIntensity(Input);
		}


		
		public Indicators.OrderflowsIntensity OrderflowsIntensity(ISeries<double> input )
		{
			return indicator.OrderflowsIntensity(input);
		}

	}
}

#endregion
